Part Part2DObject

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Part2DObject and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil

Introduction

Tree Part2D.svg

Part Part2DObject, ou formellement un Part::Part2DObject, est un élément simple associé à une une forme topologique qui peut être affiché dans la Vue 3D.

Le Part::Part2DObject est dérivé de Part Feature mais est spécialisé pour la géométrie 2D, étant donné que sa forme reposera sur un plan. Ce plan est défini par sa propriété DonnéesPlacement (position, normale et rotation). Cependant, le plan peut également être défini en prenant en charge des éléments géométriques, tel que le plan créé par trois sommets arbitraires ou une face d'un corps solide.

FreeCAD core objects.svg

Diagramme simplifié des relations entre les objets centraux dans Freecad

Utilisation

Part Part2DObject est un objet interne. Par conséquent, il ne peut pas être créé à partir de l'interface graphique, uniquement à partir de la Console Python, comme décrit dans la section Script.

Part::Part2DObject est défini dans l'atelier Part mais peut être utilisé comme classe de base pour les Objets créés par script dans tous les Ateliers qui produisent des formes géométriques 2D. Par exemple, c'est l'objet de base pour les esquisses (Sketcher SketchObject), et pour la plupart des objets créés avec l'atelier Draft.

Des ateliers peuvent ajouter plus de propriétés à cet élément de base pour produire un objet au comportement complexe.

Propriétés

Voir Propriétés pour tous les types de propriétés que les objets scriptés peuvent avoir.

Part Part2DObject (de classe Part::Part2DObject) est dérivé de Part Feature (de classe Part::Feature) et hérite de toutes ses propriétés.

Le Part2DObject possède également les propriétés supplémentaires suivantes dans l'éditeur de propriétés. Les propriétés cachées peuvent être affichées à l'aide de la commande Show all du menu contextuel de l'éditeur de propriétés.

Données

Attachment

  • Données (Hidden)Attacher Type (String) : nom de la classe de l'objet moteur de l'attachement. La valeur par défaut est Attacher::AttachEnginePlane.
  • DonnéesSupport (LinkSubList) : il s'agit du plan ou de la face supportant la géométrie 2D. Par défaut, il s'agit d'une liste vide [].
  • DonnéesMap Mode (Enumeration) : Deactivated par défaut. Cette propriété détermine un plan que l'objet utilisera comme référence pour la géométrie 2D. En cliquant sur l'ellipse ... (trois points), à droite du champ de saisie, lance la commande Part Ancrage qui permet de sélectionner le plan de référence en choisissant différents éléments dans la Vue 3D. Les différents modes sont : Deactivated, Translate origin, Object's XY, Object's XZ, Object's YZ, Plane face, Tangent to surface, Normal to edge, Frenet NB, Frenet TN, Frenet TB, Concentric, Revolution section, Plane by 3 points, Normal to 3 points, Folding, Inertia 2-3, Align O-N-X, Align O-N-Y, Align O-X-Y, Align O-X-N, Align O-Y-N, Align O-Y-X.
  • DonnéesMap Reversed (Bool) : sa valeur par défaut est false ; si elle est true, la direction Z sera inversée. Par exemple, une esquisse sera retournée à l'envers. Caché si DonnéesMap Mode est Deactivated.
  • Données (Hidden)Map Path Parameter (Float) : définit le point de la courbe vers lequel mapper une esquisse. Il va de 0 à 1, qui correspondent aux start et end. La valeur par défaut est 0.
  • DonnéesAttachment Offset (Placement) : la position de l'objet dans la Vue 3D, par rapport au placement de l'objet d'attachement. L'emplacement est défini par un point Base (vecteur) et un Rotation (axe et angle). Voir Placement. Masqué si DonnéesMap Mode est Deactivated.

Script

Voir aussi : Débuter avec les scripts et Objets créés par script.

Voir Part Feature pour les informations générales sur l'ajout d'objets au document.

Un Part2DObject est créé avec la méthode addObject() du document.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Part::Part2DObject", "Name")
obj.Label = "Custom label"

Pour la sous-classification de Python, vous devez créer l'objet Part::Part2DObjectPython.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("Part::Part2DObjectPython", "Name")
obj.Label = "Custom label"